require ("prototypes.turrets")
require ("prototypes.buildings")
require ("prototypes.rocketlauncher")
require ("prototypes.units")
require ("prototypes.spawners")
require ("prototypes.item_sprites")
require ("prototypes.trees")
require ("prototypes.equipment")
require ("prototypes.talent_gui_sprites")
require ("itemmarket_data")

local test = table.deepcopy(data.raw.unit["small-biter"])
test.flags = {"placeable-neutral", "player-creation", "placeable-off-grid"}
test.ai_settings = {path_resolution_modifier=-8}
test.name="testtest"
data:extend({test})

if settings.startup["dota_regeneration_hack"].value then
data.raw.character.character.healing_per_tick = 0
end
data:extend({{
    type = "damage-type",
    name = "chardamage"
  }})
data.raw.character.character.tool_attack_result.action_delivery.target_effects.damage.type = "chardamage"
data.raw.character.character.mining_speed = 0.1

--data.raw["gui-style"].default.default_tileset = "__dota__/graphics/gui-new.png"
data.raw["gui-style"].default.dota_yellow_button = {
      type = "button_style",
      parent = "button",
      default_graphical_set =
      {
        base =   {
			border = 1,
			filename = "__dota__/graphics/gui-new.png",
			position = {0, 0},
			size = 17,
			scale = 1
		},
        shadow = default_dirt
      },
      hovered_graphical_set =
      {
        base = {
			border = 1,
					filename = "__dota__/graphics/gui-new.png",
			position = {17, 0},
			size = 17,
			scale = 1
		},
        shadow = default_dirt,
        glow = default_glow({r=1,g=1,b=0.8}, 0.45)
      },
      clicked_graphical_set =
      {
        base = {
			border = 1,
			filename = "__dota__/graphics/gui-new.png",
			position = {34, 0},
			size = 17,
			scale = 1
		},
        shadow = default_dirt
      },
      disabled_graphical_set =
      {
        base = {position = {330, 136}, corner_size = 8},
        shadow = default_dirt
      }
    }
data.raw["gui-style"].default.dota_orange_button = {
      type = "button_style",
      parent = "button",
      default_graphical_set =
      {
        base = {
			border = 1,
			filename = "__dota__/graphics/gui-new.png",
			position = {51, 0},
			size = 17,
			scale = 1
		},
        shadow = default_dirt
      },
      hovered_graphical_set =
      {
        base = {
			border = 1,
			filename = "__dota__/graphics/gui-new.png",
			position = {68, 0},
			size = 17,
			scale = 1
		},
        shadow = default_dirt,
        glow = default_glow({r=1,g=0.9,b=0.8}, 0.45)
      },
      clicked_graphical_set =
      {
        base = {
			border = 1,
			filename = "__dota__/graphics/gui-new.png",
			position = {85, 0},
			size = 17,
			scale = 1
		},
        shadow = default_dirt
      },
      disabled_graphical_set =
      {
        base = {position = {330, 136}, corner_size = 8},
        shadow = default_dirt
      }
    }
data.raw["gui-style"].default.dota_white_button = {
      type = "button_style",
      parent = "button",
      default_graphical_set =
      {
        base = {
			border = 1,
			filename = "__dota__/graphics/gui-new.png",
			position = {102, 0},
			size = 17,
			scale = 1
		},
        shadow = default_dirt
      },
      hovered_graphical_set =
      {
        base = {
			border = 1,
			filename = "__dota__/graphics/gui-new.png",
			position = {119, 0},
			size = 17,
			scale = 1
		},
        shadow = default_dirt,
        glow = default_glow({r=0.9,g=0.9,b=0.9}, 0.45)
      },
      clicked_graphical_set =
      {
        base = {
			border = 1,
			filename = "__dota__/graphics/gui-new.png",
			position = {136, 0},
			size = 17,
			scale = 1
		},
        shadow = default_dirt
      },
      disabled_graphical_set =
      {
        base = {position = {330, 136}, corner_size = 8},
        shadow = default_dirt
      }
    }
data.raw["gui-style"].default.dota_gray_button = {
      type = "button_style",
      parent = "button",
      default_graphical_set =
      {
        base = {
			border = 1,
			filename = "__dota__/graphics/gui-new.png",
			position = {153, 0},
			size = 17,
			scale = 1
		},
        shadow = default_dirt
      },
      hovered_graphical_set =
      {
        base = {
			border = 1,
			filename = "__dota__/graphics/gui-new.png",
			position = {170, 0},
			size = 17,
			scale = 1
		},
        shadow = default_dirt,
        glow = default_glow({r=0.8,g=0.8,b=0.8}, 0.45)
      },
      clicked_graphical_set =
      {
        base = {
			border = 1,
			filename = "__dota__/graphics/gui-new.png",
			position = {187, 0},
			size = 17,
			scale = 1
		},
        shadow = default_dirt
      },
      disabled_graphical_set =
      {
        base = {
			border = 1,
			filename = "__dota__/graphics/gui-new.png",
			position = {204, 0},
			size = 17,
			scale = 1
		},
        shadow = default_dirt
      }
    }
data.raw["gui-style"].default.dota_red_bar = 
    {
      type = "progressbar_style",
      minimal_width = 10,
      natural_width = 200,
      bar_width = 7, -- thickness of the bar, not horizontal size
      color = {g=1},
      other_colors = {},
      bar_background =
      {
        base = {
			border = 1,
			filename = "__dota__/graphics/gui-new.png",
			position = {0, 17},
			size = 17,
			scale = 1
		},
        shadow = default_dirt
      },
      bar = {position = {313, 48}, corner_size = 8},
      font = "default",
      font_color = {1, 1, 1}
    }
data.raw["gui-style"].default.dota_green_bar = 
    {
      type = "progressbar_style",
      minimal_width = 10,
      natural_width = 200,
      bar_width = 7, -- thickness of the bar, not horizontal size
      color = {g=1},
      other_colors = {},
      bar_background =
      {
        base = {
			border = 1,
			filename = "__dota__/graphics/gui-new.png",
			position = {17, 17},
			size = 17,
			scale = 1
		},
        shadow = default_dirt
      },
      bar = {position = {313, 48}, corner_size = 8},
      font = "default",
      font_color = {1, 1, 1}
    }
data.raw["gui-style"].default.dota_blue_bar = 
    {
      type = "progressbar_style",
      minimal_width = 10,
      natural_width = 200,
      bar_width = 7, -- thickness of the bar, not horizontal size
      color = {g=1},
      other_colors = {},
      bar_background =
      {
        base = {
			border = 1,
			filename = "__dota__/graphics/gui-new.png",
			position = {34, 17},
			size = 17,
			scale = 1
		},
        shadow = default_dirt
      },
      bar = {position = {313, 48}, corner_size = 8},
      font = "default",
      font_color = {1, 1, 1}
    }
data.raw["gui-style"].default.dota_white_bar = 
    {
      type = "progressbar_style",
      minimal_width = 10,
      natural_width = 200,
      bar_width = 7, -- thickness of the bar, not horizontal size
      color = {g=1},
      other_colors = {},
      bar_background =
      {
        base = {
			border = 1,
			filename = "__dota__/graphics/gui-new.png",
			position = {51, 17},
			size = 17,
			scale = 1
		},
        shadow = default_dirt
      },
      bar = {position = {313, 48}, corner_size = 8},
      font = "default",
      font_color = {1, 1, 1}
    }