local function upscale (arr)
	if arr.filename then
		arr.scale = (arr.scale or 1) * 2
		log(arr.filename)
	end
	if arr.collision_box then
		arr.collision_box[1][1] = arr.collision_box[1][1]*2
		arr.collision_box[1][2] = arr.collision_box[1][2]*2
		arr.collision_box[2][1] = arr.collision_box[2][1]*2
		arr.collision_box[2][2] = arr.collision_box[2][2]*2
	end
	if arr.selection_box then
		arr.selection_box[1][1] = arr.selection_box[1][1]*2
		arr.selection_box[1][2] = arr.selection_box[1][2]*2
		arr.selection_box[2][1] = arr.selection_box[2][1]*2
		arr.selection_box[2][2] = arr.selection_box[2][2]*2
	end
	for i, v in pairs(arr) do
		if type(v) == "table" then
			v = upscale(v)
		end
	end
	return arr
end

local radar = table.deepcopy(data.raw.radar.radar)
radar.name = "dota-radar"
radar.localised_name = "Radar"
radar.order = "zzzz"
--radar.collision_box[1][1] = radar.collision_box[1][1]*2
--radar.collision_box[1][2] = radar.collision_box[1][2]*2
--radar.collision_box[2][1] = radar.collision_box[2][1]*2
--radar.collision_box[2][2] = radar.collision_box[2][2]*2
--radar.integration_patch.scale = 2
--radar.integration_patch.hr_version.scale = 2
--radar.pictures.layers[1].scale = 2
--radar.pictures.layers[1].hr_version.scale = 1
--radar.pictures.layers[2].scale = 2
--radar.pictures.layers[2].hr_version.scale = 1
radar = upscale(radar)
data:extend({radar})



local silo = table.deepcopy(data.raw["rocket-silo"]["rocket-silo"])
silo.name = "dota-silo"
silo.localised_name = "Silo"
silo.order = "zzzz"


silo.hole_clipping_box[1][1] = silo.hole_clipping_box[1][1]*2
silo.hole_clipping_box[1][2] = silo.hole_clipping_box[1][2]*2
silo.hole_clipping_box[2][1] = silo.hole_clipping_box[2][1]*2
silo.hole_clipping_box[2][2] = silo.hole_clipping_box[2][2]*2
silo.base_front_sprite.shift = util.by_pixel(-4, 156)
silo.base_front_sprite.hr_version.shift = util.by_pixel(-2, 156)
silo=upscale(silo)
data:extend({silo})

local market = table.deepcopy(data.raw.market.market)
market.name = "dota-market"
market.localised_name= "Equipment Market"
market.order = "zzzz"
market.picture =
    {
      filename = "__dota__/graphics/equipment-market.png",
      width = 312,
      height = 254,
	  scale = 0.5,
      shift = {0.95, 0.2}
    }
local item_market = table.deepcopy(data.raw.market.market)
item_market.name = "dota-item-market"
item_market.localised_name= "Item Market"
item_market.order = "zzzz"
item_market.picture =
    {
      filename = "__dota__/graphics/item-market.png",
      width = 312,
      height = 254,
	  scale = 0.5,
      shift = {0.95, 0.2}
    }
--market.picture =
--    {
--      filename = "__dota__/graphics/market.png",
--      width = 244,
--      height = 244,
--      shift = {0.95, 0.2}
--    }
data:extend({market,item_market})