local game17 = false
if string.sub(mods["base"],1,4) == "0.17" then
	sp = 	{
					"automation-science-pack",
					"logistic-science-pack", 
					"chemical-science-pack", 
					"military-science-pack", 
					"production-science-pack",
					"utility-science-pack"
				}
	game17 = true
else
	--0.16	
	sp =	{		"science-pack-1",
					"science-pack-2",
					"science-pack-3",
					"military-science-pack",
					"production-science-pack",
					"high-tech-science-pack"
				}
	flag_main = "goes-to-main-inventory"
	flag_quickbar = "goes-to-quickbar"
end

local cat = {
    type = "ammo-category",
    name = "dota-rocket"
  }
local ammo = table.deepcopy(data.raw.ammo.rocket)
ammo.name = "dota-rocket"
ammo.ammo_type.action.action_delivery.projectile = "dota-rocket"
ammo.ammo_type.category = "dota-rocket"
local projectile = table.deepcopy(data.raw.projectile.rocket)
projectile.name = "dota-rocket"
projectile.action.action_delivery.target_effects[2].damage.amount = 39
data:extend({cat,ammo,projectile})

local base_shadow = {
	filename = "__dota__/graphics/flamethrower/turret-shadow.png",
	line_length = 1,
	width = 125,
	height = 62,
	axially_symmetrical = false,
	direction_count = 1,
	frame_count = 1,
	shift = {0.65,0.05},
	draw_as_shadow = true,
	scale = 2,
	hr_version =
	{
		filename = "__dota__/graphics/flamethrower/hr-turret-shadow.png",
		line_length = 1,
		width = 250,
		height = 124,
		axially_symmetrical = false,
		direction_count = 1,
		frame_count = 1,
		shift = {0.65,0.05},
		draw_as_shadow = true,
		scale = 1
	}
}
		
local function apply_tint(turret, tint, dark_tint)
	if not dark_tint then
		dark_tint = {r=0.73+tint.r/5,g=0.73+tint.g/5,b=0.73+tint.b/5}
	end
	turret.base_picture.layers[1].tint = dark_tint
	turret.base_picture.layers[1].apply_runtime_tint=false
	if turret.base_picture.layers[1].hr_version then
		turret.base_picture.layers[1].hr_version.tint = dark_tint
		turret.base_picture.layers[1].hr_version.apply_runtime_tint=false
	end
	
	turret.base_picture.layers[2].tint = tint
	turret.base_picture.layers[2].apply_runtime_tint=false
	if turret.base_picture.layers[2].hr_version then
		turret.base_picture.layers[2].hr_version.tint = tint
		turret.base_picture.layers[2].hr_version.apply_runtime_tint=false
	end
	
	
	if turret.folded_animation.layers and turret.folded_animation.layers[1] then
		turret.folded_animation.layers[1].tint = dark_tint
		turret.folded_animation.layers[1].apply_runtime_tint=false
		if turret.folded_animation.layers[1].hr_version then
			turret.folded_animation.layers[1].hr_version.tint = dark_tint
			turret.folded_animation.layers[1].hr_version.apply_runtime_tint=false
		end
	end
	if turret.folded_animation.layers and turret.folded_animation.layers[2] then
		turret.folded_animation.layers[2].tint = tint
		turret.folded_animation.layers[2].apply_runtime_tint=false
		if turret.folded_animation.layers[2].hr_version then
			turret.folded_animation.layers[2].hr_version.tint = tint
			turret.folded_animation.layers[2].hr_version.apply_runtime_tint=false
		end
	end
	
	if turret.preparing_animation.layers and turret.preparing_animation.layers[1] then
		turret.preparing_animation.layers[1].tint = dark_tint
		turret.preparing_animation.layers[1].apply_runtime_tint=false
		if turret.preparing_animation.layers[1].hr_version then
			turret.preparing_animation.layers[1].hr_version.tint = dark_tint
			turret.preparing_animation.layers[1].hr_version.apply_runtime_tint=false
		end
	end
	if turret.preparing_animation.layers and turret.preparing_animation.layers[2] then
		turret.preparing_animation.layers[2].tint = tint
		turret.preparing_animation.layers[2].apply_runtime_tint=false
		if turret.preparing_animation.layers[2].hr_version then
			turret.preparing_animation.layers[2].hr_version.tint = tint
			turret.preparing_animation.layers[2].hr_version.apply_runtime_tint=false
		end
	end
	
	if turret.folding_animation.layers and turret.folding_animation.layers[1] then
		turret.folding_animation.layers[1].tint = dark_tint
		turret.folding_animation.layers[1].apply_runtime_tint=false
		if turret.folding_animation.layers[1].hr_version then
			turret.folding_animation.layers[1].hr_version.tint = dark_tint
			turret.folding_animation.layers[1].hr_version.apply_runtime_tint=false
		end
	end
	if turret.folding_animation.layers and turret.folding_animation.layers[2] then
		turret.folding_animation.layers[2].tint = tint
		turret.folding_animation.layers[2].apply_runtime_tint=false
		if turret.folding_animation.layers[2].hr_version then
			turret.folding_animation.layers[2].hr_version.tint = tint
			turret.folding_animation.layers[2].hr_version.apply_runtime_tint=false
		end
	end
	
	if turret.prepared_animation.layers and turret.prepared_animation.layers[1] then
		turret.prepared_animation.layers[1].tint = dark_tint
		turret.prepared_animation.layers[1].apply_runtime_tint=false
		if turret.prepared_animation.layers[1].hr_version then
			turret.prepared_animation.layers[1].hr_version.tint = dark_tint
			turret.prepared_animation.layers[1].hr_version.apply_runtime_tint=false
		end
	end
	if turret.prepared_animation.layers and turret.prepared_animation.layers[2] then
		turret.prepared_animation.layers[2].tint = tint
		turret.prepared_animation.layers[2].apply_runtime_tint=false
		if turret.prepared_animation.layers[2].hr_version then
			turret.prepared_animation.layers[2].hr_version.tint = tint
			turret.prepared_animation.layers[2].hr_version.apply_runtime_tint=false
		end
	end
	
	if turret.attacking_animation.layers and turret.attacking_animation.layers[1] then
		turret.attacking_animation.layers[1].tint = dark_tint
		turret.attacking_animation.layers[1].apply_runtime_tint=false
		if turret.attacking_animation.layers[1].hr_version then
			turret.attacking_animation.layers[1].hr_version.tint = dark_tint
			turret.attacking_animation.layers[1].hr_version.apply_runtime_tint=false
		end
	end
	
	if turret.attacking_animation.layers and turret.attacking_animation.layers[2] then
		turret.attacking_animation.layers[2].tint = tint
		turret.attacking_animation.layers[2].apply_runtime_tint=false
		if turret.attacking_animation.layers[2].hr_version then
			turret.attacking_animation.layers[2].hr_version.tint = tint
			turret.attacking_animation.layers[2].hr_version.apply_runtime_tint=false
		end
	end
end
function dota_rocket_sheet(opts)
return
{
  layers = 
  {
    {
      filename = "__dota__/graphics/rocket/rocket-"..opts.color..".png",
      priority = "medium",
      scale = 2,
      width = 72,
      height = 64,
      direction_count = opts.direction_count and opts.direction_count or 64,
      frame_count = 1,
      line_length = opts.line_length and opts.line_length or 16,
      axially_symmetrical = false,
	  run_mode = opts.run_mode and opts.run_mode or "forward",
      shift = opts.shift or { 0.5, -1 },
	  scale = opts.scale or 1,
	  hr_version =
	  {
      filename = "__dota__/graphics/rocket/hr-rocket-"..opts.color..".png",
      priority = "medium",
      scale = 1*(opts.scale or 1),
      width = 144,
      height = 128,
      direction_count = opts.direction_count and opts.direction_count or 64,
      frame_count = 1,
      line_length = opts.line_length and opts.line_length or 16,
      axially_symmetrical = false,
	  run_mode = opts.run_mode and opts.run_mode or "forward",
      shift = opts.shift or { 0.5, -1 },
	  }
    },
	{
      filename = "__dota__/graphics/rocket/rocket-shadow.png",
      priority = "medium",
      scale = 2,
      width = 72,
      height = 64,
      direction_count = opts.direction_count and opts.direction_count or 64,
      frame_count = 1,
      line_length = opts.line_length and opts.line_length or 16,
      axially_symmetrical = false,
	  run_mode = opts.run_mode and opts.run_mode or "forward",
      shift = opts.shift or { 0.5, -0.6 },
	  scale = 1.1*(opts.scale or 1),
	  draw_as_shadow = true,
	  hr_version =
	  {
      filename = "__dota__/graphics/rocket/hr-rocket-shadow.png",
      priority = "medium",
      scale = 1.1*(opts.scale or 1),
      width = 144,
      height = 128,
      direction_count = opts.direction_count and opts.direction_count or 64,
      frame_count = 1,
      line_length = opts.line_length and opts.line_length or 16,
      axially_symmetrical = false,
	  run_mode = opts.run_mode and opts.run_mode or "forward",
      shift = opts.shift or { 0.5, -0.6 },
	  draw_as_shadow = true,
	  }
    }
  }
}
end

function make_turret(color,tint)
	local turret = util.table.deepcopy(data.raw["ammo-turret"]["gun-turret"])
	turret.name="dota-rocket-"..color
	turret.localised_name = "Defense Turret"
	turret.max_health = 10000
	turret.icon = nil
	turret.icon_size = 64
	turret.icons={{icon="__dota__/graphics/rocket/uniturret_rocket_entity_icon.png"}}
	turret.collision_box[1][1] = turret.collision_box[1][1]*2
	turret.collision_box[1][2] = turret.collision_box[1][2]*2
	turret.collision_box[2][1] = turret.collision_box[2][1]*2
	turret.collision_box[2][2] = turret.collision_box[2][2]*2
	turret.inventory_size = 5

	turret.order="zzz"
	turret.minable = nil--.result = "uniturret"
	turret.placeable_by = nil--{ item="uniturret", count = 1}
	turret.call_for_help_radius = 0
	turret.attack_parameters.ammo_category = "dota-rocket"
	--turret.attack_parameters.lead_target_for_projectile_speed = 0.2* 0.75 * 1.5 *1.5
	--turret.attack_parameters.projectile_creation_distance = 1
	turret.attack_parameters.projectile_center = {0, -0.2}
	turret.attack_parameters.cooldown = 90 --60=rocketlauncher
	turret.attack_parameters.damage_modifier = 1 --60=rocketlauncher
	turret.attack_parameters.range = 21 --fluid = 30, ammo = 18 --rocketlauncher = 36
	turret.attack_parameters.min_range = 0 --fluid = 30, ammo = 18
	turret.attack_parameters.shell_particle = nil
	turret.attack_parameters.sound = {
      {
        filename = "__base__/sound/fight/rocket-launcher.ogg",
        volume = 0.65
      }
	  }
	  local shift={0.74,-1.54}
	table.insert(turret.base_picture.layers, base_shadow )
	turret.base_picture.layers[1].scale = 2
	turret.base_picture.layers[1].hr_version.scale = 1
	turret.base_picture.layers[2].scale = 2
	turret.base_picture.layers[2].hr_version.scale = 1
	turret.folded_animation = dota_rocket_sheet	{shift = shift, direction_count = 4, line_length = 1, scale = 1.25, color = color}
	turret.preparing_animation = dota_rocket_sheet	{shift = shift, direction_count = 4, line_length = 1, scale = 1.25, color = color}
	turret.folding_animation = dota_rocket_sheet	{shift = shift, direction_count = 4, line_length = 1, scale = 1.25, color = color}
	turret.prepared_animation = dota_rocket_sheet	{shift = shift, scale = 1.25, color = color}
	turret.attacking_animation = dota_rocket_sheet	{shift = shift, scale = 1.25, color = color}
	apply_tint(turret,tint)
	data:extend({
		turret,
	})
end

tint = {r=0.7,g=0.1,b=0.1} -- ROCKET
make_turret("red", {r=0.7,g=0.1,b=0.1})
make_turret("blue", {r=0.1,g=0.1,b=0.7})