function make_biter (opts) --color, template, tint1, tint2)

	local unit = table.deepcopy(data.raw.unit[opts.template])
	unit.name = "dota-biter-"..opts.level.."-"..opts.color
	unit.localised_name = opts.color.." biter "..opts.level
	unit.max_health = opts.health
	unit.can_open_gates = true
	unit.flags = {"placeable-player", "placeable-enemy", "placeable-off-grid", "not-repairable", "breaths-air", "player-creation"} --flags = {"placeable-player", "placeable-enemy", "placeable-off-grid", "not-repairable", "breaths-air"},
	unit.ai_settings = { destroy_when_commands_fail = true} --, allow_try_return_to_spawner = true }
	unit.selection_box[1][1]= (unit.selection_box[1][1]-0.08)*1.2
	unit.selection_box[1][2]= unit.selection_box[1][2]*1.5
	unit.selection_box[2][1]= unit.selection_box[2][1]*1.2
	unit.selection_box[2][2]= unit.selection_box[2][2]*1.2
	unit.collision_box[1][1]= unit.collision_box[1][1]*2.5
	unit.collision_box[1][2]= unit.collision_box[1][2]*2.5
	unit.collision_box[2][1]= unit.collision_box[2][1]*2.5
	unit.collision_box[2][2]= unit.collision_box[2][2]*2.5
	unit.attack_parameters.range = unit.attack_parameters.range * 2
	unit.attack_parameters.ammo_type.action.action_delivery.target_effects.damage.amount = unit.attack_parameters.ammo_type.action.action_delivery.target_effects.damage.amount *opts.damagemult
	unit.corpse = "dota-corpse-"..opts.level.."-"..opts.color
	unit.run_animation.layers[1].scale=opts.scale*unit.run_animation.layers[1].scale
	unit.run_animation.layers[1].hr_version.scale=opts.scale*unit.run_animation.layers[1].hr_version.scale
	unit.run_animation.layers[2].tint = opts.tint1
	unit.run_animation.layers[2].scale=opts.scale*unit.run_animation.layers[2].scale
	unit.run_animation.layers[2].hr_version.tint = opts.tint1
	unit.run_animation.layers[2].hr_version.scale=opts.scale*unit.run_animation.layers[2].hr_version.scale
	unit.run_animation.layers[3].tint = opts.tint2
	unit.run_animation.layers[3].scale=opts.scale*unit.run_animation.layers[3].scale
	unit.run_animation.layers[3].hr_version.tint = opts.tint2
	unit.run_animation.layers[3].hr_version.scale=opts.scale*unit.run_animation.layers[3].hr_version.scale
	unit.attack_parameters.animation.layers[1].scale=opts.scale*unit.attack_parameters.animation.layers[1].scale
	unit.attack_parameters.animation.layers[1].hr_version.scale=opts.scale*unit.attack_parameters.animation.layers[1].hr_version.scale
	unit.attack_parameters.animation.layers[2].tint = opts.tint1
	unit.attack_parameters.animation.layers[2].scale=opts.scale*unit.attack_parameters.animation.layers[2].scale
	unit.attack_parameters.animation.layers[2].hr_version.tint = opts.tint1
	unit.attack_parameters.animation.layers[2].hr_version.scale=opts.scale*unit.attack_parameters.animation.layers[2].hr_version.scale
	unit.attack_parameters.animation.layers[3].tint = opts.tint2
	unit.attack_parameters.animation.layers[3].scale=opts.scale*unit.attack_parameters.animation.layers[3].scale
	unit.attack_parameters.animation.layers[3].hr_version.tint = opts.tint2
	unit.attack_parameters.animation.layers[3].hr_version.scale=opts.scale*unit.attack_parameters.animation.layers[3].hr_version.scale
	local corpse = table.deepcopy(data.raw.corpse[opts.template.."-corpse"])
	corpse.name = "dota-corpse-"..opts.level.."-"..opts.color
	corpse.animation.layers[1].scale=opts.scale*corpse.animation.layers[1].scale
	corpse.animation.layers[1].hr_version.scale=opts.scale*corpse.animation.layers[1].hr_version.scale
	corpse.animation.layers[2].tint = opts.tint1
	corpse.animation.layers[2].scale=opts.scale*corpse.animation.layers[2].scale
	corpse.animation.layers[2].hr_version.tint = opts.tint1
	corpse.animation.layers[2].hr_version.scale=opts.scale*corpse.animation.layers[2].hr_version.scale
	corpse.animation.layers[3].tint = opts.tint2
	corpse.animation.layers[3].scale=opts.scale*corpse.animation.layers[3].scale
	corpse.animation.layers[3].hr_version.tint = opts.tint2
	corpse.animation.layers[3].hr_version.scale=opts.scale*corpse.animation.layers[3].hr_version.scale
	data:extend({unit, corpse})
end
for i=1, 50 do
	local template
	local damagemult
	local scale
	if i < 10 then
		template = "small-biter"
		scale = 1+i/20
		damagemult = 1+i/20
	elseif i < 20 then
		template = "medium-biter"
		scale = 1+(i-10)/20
		damagemult = 1+(i-10)/20
	elseif i < 30 then
		template = "big-biter"
		scale = 1+(i-20)/20
		damagemult = 1+(i-20)/20
	else
		template = "behemoth-biter"
		scale = 1+(i-30)/20
		damagemult = 1+(i-30)/30
	end
	make_biter{color = "red", template = "small-biter", tint1 = {r=1,g=0,b=0}, tint2 = {r=1,g=0.4,b=0.4}, health = 41+i*40, level = i, scale = scale, damagemult = damagemult}
	make_biter{color = "blue", template = "small-biter", tint1 = {r=0,g=0,b=1}, tint2 = {r=0.4,g=0.4,b=1}, health = 41+i*40, level = i, scale = scale, damagemult = damagemult}
end