function make_items()
	global.items = {
		["dota_health_potion"] = {
			effects = {},
			name = "[Potion]",
			description = "Regenerates 90 HP over 15 seconds",
			price = 20,
			stack_size = 10,
			cooldown = 30,
			consumed = true,
			always_show_in_main_list = true,
			func = function(player)
				for i=1, 900 do
					if not global.on_tick[game.tick + i] then global.on_tick[game.tick + i] = {} end
					table.insert(global.on_tick[game.tick + i], function ()
						if player.character and player.character.health > 0 then
							player.character.health = player.character.health +0.1
						end
					end)
				end
			end,
		},
		["dota_mana_potion"] = {
			effects = {},
			name = "[Mana Potion]",
			description = "Regenerates 30 Mana over 15 seconds",
			price = 20,
			stack_size = 10,
			cooldown = 30,
			consumed = true,
			always_show_in_main_list = true,
			func = function(player)
				for i=1, 30 do
					if not global.on_tick[game.tick + i*30] then global.on_tick[game.tick + i*30] = {} end
					table.insert(global.on_tick[game.tick + i*30], function ()
						if remote.interfaces["spell-pack"] then
							local players =remote.call("spell-pack","get","players")
							local new_mod = math.min(players[player.index].max_mana, players[player.index].mana+1)
							players[player.index].mana = new_mod
							remote.call("spell-pack","set","players",players)
						end
					end)
				end
			end,
		},
		["dota_amnesia_book"] = {
			effects = {},
			name = "[Book of amnesia]",
			description = "Allows you to reset your talents\nPer Minute Bonuses will start from 0!",
			price = 700,
			stack_size = 1,
			cooldown = 30,
			consumed = true,
			always_show_in_main_list = true,
			func = function(player)
				global.talents[player.index].ready = nil
				talents_gui(player)
			end,
		},
		
		["dota_shoes"] = {
			effects = {{type = "force", modifier = "character_running_speed_modifier", value = 0.2}},
			name = "[Boots]",
			description = "\n[color=0.7,0.7,0.7]2 Boots... and you have 12 feet[/color]",
			price = 100,
			stack_size = nil,
			cooldown = nil,
			consumed = nil,
			func = nil,
		},
		["dota_boots_0"] = {
			effects = {{type = "force", modifier = "character_running_speed_modifier", value = 0.4}},
			name = "[Boots of Swiftness]",
			description = "\n[color=0.7,0.7,0.7]2 Boots... and you have 12 feet[/color]",
			price = 150,
			parts = {{name = "dota_shoes", count = 2}}
		},
		["dota_boots_1"] = {
			effects = {{type = "force", modifier = "character_running_speed_modifier", value = 0.3},
						{type = "other", modifier = "armor", value = 15}},
			name = "[Knight's armored Boots]",
			description = "\n[color=0.7,0.7,0.7]2 Boots... and you have 12 feet[/color]",
			price = 200,
			parts = {{name = "dota_shoes", count = 1},{name = "dota_armor_0", count = 1}}
		},
		["dota_boots_2"] = {
			effects = {	{type = "force", modifier = "character_running_speed_modifier", value = 0.3},
						{type = "force", modifier = "gun_speed_modifier", value = 0.3}},
			name = "[Boots of the Assassin]",
			description = "\n[color=0.7,0.7,0.7]2 Boots... and you have 12 feet[/color]",
			price = 200,
			parts = {{name = "dota_shoes", count = 1},{name = "dota_attackspeed_0", count = 1}}
		},
		["dota_golden_amulet"] = {
			effects = {{type = "other", modifier = "income", value = 0.1}},
			name = "[Golden Amulet]",
			price = 200,
			stack_size = nil,
			cooldown = nil,
			consumed = nil,
			func = nil,
		},
		["dota_spineripper"] = {
			effects = {	{type = "force", modifier = "ammo_damage_modifier", value = 1},
						{type = "other", modifier = "critdamage", value = 1},
						{type = "other", modifier = "crit", value = 0.25}},
			name = "[Spineripper]",
			price = 700,
			parts = {{name = "dota_damage_1", count = 2}}
		},
		["dota_tyrs_hand"] = {
			effects = {	{type = "force", modifier = "gun_speed_modifier", value = 0.5},
						{type = "force", modifier = "character_health_bonus", value = 200},
						{type = "other", modifier = "crit", value = 0.1}},
			name = "[Týr's Hand]",
			price = 500,
			parts = {{name = "dota_attackspeed_0", count = 1},{name = "dota_damage_0", count = 1},{name = "dota_health_0", count = 1}}
		},
		["dota_bulwark"] = {
			effects = {	{type = "force", modifier = "character_health_bonus", value = 800},
						{type = "other", modifier = "regen", value = 20},
						{type = "other", modifier = "armor", value = 30}},
			name = "[Bulwark]",
			price = 300,
			parts = {{name = "dota_health_1", count = 1},{name = "dota_armor_health", count = 1},{name = "dota_regeneration_0", count = 1}}
		},
		["dota_horned_helmet"] = {
			effects = {	{type = "force", modifier = "ammo_damage_modifier", value = 0.25},
						{type = "force", modifier = "character_health_bonus", value = 300},
						{type = "other", modifier = "reflect", value = 20},
						{type = "other", modifier = "armor", value = 30}},
			name = "[Horned Helmet]",
			price = 300,
			parts = {{name = "dota_spiked_collar", count = 1},{name = "dota_armor_health", count = 1},{name = "dota_damage_0", count = 1}}
		},
		["dota_yellow_ammo"] = {
			effects = {	{type = "force", modifier = "ammo_damage_modifier", value = 0.50, ammo = "bullet"},
						{type = "giveitem", item = "firearm-magazine", per_second = 0.1}},
			name = "[Enchanted Firearm Magazine]",
			price = 500,
		},
		["dota_red_ammo"] = {
			effects = {	{type = "force", modifier = "ammo_damage_modifier", value = 0.50, ammo = "bullet"},
						{type = "giveitem", item = "piercing-rounds-magazine", per_second = 0.1}},
			name = "[Enchanted Piercing Rounds Magazine]",
			price = 500,
			parts = {{name = "dota_yellow_ammo", count = 1}},
		},
		["dota_green_ammo"] = {
			effects = {	{type = "force", modifier = "ammo_damage_modifier", value = 0.75, ammo = "bullet"},
						{type = "giveitem", item = "uranium-rounds-magazine", per_second = 0.1}},
			name = "[Enchanted Uranium Rounds Magazine]",
			price = 500,
			parts = {{name = "dota_red_ammo", count = 1}},
		},
		["dota_book1"] = {
			effects = {	{type = "force", modifier = "turret_attack_modifier", value = 0.5},},
			name = "[Book with interesting tower Blueprints]",
			price = 500,
		},
		["dota_rainbow_drill"] = {
			effects = {	{type = "force", modifier = "manual_mining_speed_modifier", value = 2.0},
						{type = "force", modifier = "manual_crafting_speed_modifier", value = 2.0},
						{type = "giveitem", item = "iron-plate", per_second = 0.5},
						{type = "giveitem", item = "copper-plate", per_second = 0.5},
						{type = "giveitem", item = "stone-brick", per_second = 0.1},
						{type = "giveitem", item = "coal", per_second = 0.5},
						{type = "giveitem", item = "uranium-ore", per_second = 1}
					},
			name = "[Ultimate Miner]",
			price = -1000,
			parts = {{name = "dota_iron_plates_generator", count = 1},{name = "dota_copper_plates_generator", count = 1},{name = "dota_stone_bricks_generator", count = 1},{name = "dota_coal_generator", count = 1},{name = "dota_uranium_generator", count = 1}},
		},
		["dota_iron_generator"] = {
			effects = {	{type = "force", modifier = "manual_mining_speed_modifier", value = 0.25},
						{type = "force", modifier = "manual_crafting_speed_modifier", value = 0.25},
						{type = "giveitem", item = "iron-ore", per_second = 0.5}},
			name = "[Automated Iron Miner]",
			price = 600,
		},
		["dota_iron_plates_generator"] = {
			effects = {	{type = "force", modifier = "manual_mining_speed_modifier", value = 0.5},
						{type = "force", modifier = "manual_crafting_speed_modifier", value = 0.5},
						{type = "giveitem", item = "iron-plate", per_second = 0.5}},
			name = "[Automated Iron Miner & Smelter]",
			price = 200,
			parts = {{name = "dota_iron_generator", count = 1}},
		},
		["dota_copper_generator"] = {
			effects = {	{type = "force", modifier = "manual_mining_speed_modifier", value = 0.25},
						{type = "force", modifier = "manual_crafting_speed_modifier", value = 0.25},
						{type = "giveitem", item = "copper-ore", per_second = 0.5}},
			name = "[Automated Copper Miner]",
			price = 600,
		},
		["dota_copper_plates_generator"] = {
			effects = {	{type = "force", modifier = "manual_mining_speed_modifier", value = 0.5},
						{type = "force", modifier = "manual_crafting_speed_modifier", value = 0.5},
						{type = "giveitem", item = "copper-plate", per_second = 0.5}},
			name = "[Automated Copper Miner & Smelter]",
			price = 200,
			parts = {{name = "dota_copper_generator", count = 1}},
		},
		["dota_stone_generator"] = {
			effects = {	{type = "force", modifier = "manual_mining_speed_modifier", value = 0.25},
						{type = "force", modifier = "manual_crafting_speed_modifier", value = 0.25},
						{type = "giveitem", item = "stone", per_second = 0.2}},
			name = "[Automated Stone Miner]",
			price = 600,
		},
		["dota_stone_bricks_generator"] = {
			effects = {	{type = "force", modifier = "manual_mining_speed_modifier", value = 0.5},
						{type = "force", modifier = "manual_crafting_speed_modifier", value = 0.5},
						{type = "giveitem", item = "stone-brick", per_second = 0.1}},
			name = "[Automated Stone Miner & Smelter]",
			price = 200,
			parts = {{name = "dota_stone_generator", count = 1}},
		},
		["dota_coal_generator"] = {
			effects = {	{type = "force", modifier = "manual_mining_speed_modifier", value = 0.5},
						{type = "force", modifier = "manual_crafting_speed_modifier", value = 0.5},
						{type = "giveitem", item = "coal", per_second = 0.5}},
			name = "[Automated Coal Miner]",
			price = 800,
		},
		["dota_uranium_generator"] = {
			effects = {	{type = "force", modifier = "manual_mining_speed_modifier", value = 0.5},
						{type = "force", modifier = "manual_crafting_speed_modifier", value = 0.5},
						{type = "giveitem", item = "uranium-ore", per_second = 1}},
			name = "[Automated Uranium Miner]",
			price = 1000,
		},
		["dota_spiked_collar"] = {
			effects = {	--{type = "force", modifier = "character_health_bonus", value = 200},
						--{type = "other", modifier = "armor", value = 15},
						{type = "other", modifier = "reflect", value = 10}},
			name = "[Spiked Collar]",
			price = 600,
		},
		["dota_health_0"] = {
			effects = {	{type = "force", modifier = "character_health_bonus", value = 200}},
			name = "[Small Talisman of Health]",
			price = 400,
		},
		["dota_health_1"] = {
			effects = {	{type = "force", modifier = "character_health_bonus", value = 500}},
			name = "[Huge Health Gem]",
			price = 200,
			parts = {{name = "dota_health_0", count = 2}}
		},
		["dota_armor_0"] = {
			effects = {	{type = "other", modifier = "armor", value = 15}},
			name = "[Small Shield]",
			price = 400,
		},
		["dota_regeneration_0"] = {
			effects = {	{type = "other", modifier = "regen", value = 5}},
			name = "[Healing Pendant]",
			price = 200,
			parts = {{name = "dota_health_potion", count = 5}}
		},
		["dota_damage_0"] = {
			effects = {	{type = "force", modifier = "ammo_damage_modifier", value = 0.25}},
			name = "[Blunt Axe]",
			price = 400,
		},
		["dota_attackspeed_0"] = {
			effects = {	{type = "force", modifier = "gun_speed_modifier", value = 0.25}},
			name = "[Light Dagger]",
			price = 400,
		},
		["dota_armor_health"] = {
			effects = {	{type = "other", modifier = "armor", value = 22},
						{type = "force", modifier = "character_health_bonus", value = 300}},
			name = "[Reliable Cuirass]",
			price = 300,
			parts = {{name = "dota_armor_0", count = 1},{name = "dota_health_0", count = 1}}
		},
		["dota_damage_1"] = {
			effects = {	{type = "force", modifier = "ammo_damage_modifier", value = 0.7}},
			name = "[Heavy Axe]",
			price = 900,
		},
		["dota_chardamage_0"] = {
			effects = {	{type = "other", modifier = "chardamage", value = 6}},
			name = "[Wooden club]",
			description = "\n[color=0.7,0.7,0.7]Melee Damage gets multiplied by normal damage bonuses[/color]",
			price = 200,
		},
		["dota_chardamage_gold"] = {
			effects = {	{type = "other", modifier = "chardamage", value = 12},
						{type = "other", modifier = "income", value = 0.15}},
			description = "\n[color=0.7,0.7,0.7]Melee Damage gets multiplied by normal damage bonuses[/color]",
			name = "[Hammer of the Smith]",
			price = 400,
			parts = {{name = "dota_chardamage_0", count = 1},{name = "dota_golden_amulet", count = 1}}
		},
		["dota_chardamage_gold_reg"] = {
			effects = {	{type = "other", modifier = "chardamage", value = 18},
						{type = "other", modifier = "income", value = 0.2},
						{type = "other", modifier = "regen", value = 10},
						{type = "other", modifier = "armor", value = 20}},
			name = "[Blessed Hammer]",
			description = "\n[color=0.7,0.7,0.7]Melee Damage gets multiplied by normal damage bonuses[/color]",
			price = 400,
			parts = {{name = "dota_chardamage_gold", count = 1},{name = "dota_regeneration_0", count = 1},{name = "dota_armor_0", count = 1}}
		},
		["dota_manareg_0"] = {
			effects = {	{type = "spellpack", modifier = "mana_reg", value = 0.5},
					},
			name = "[Vibrant Talisman]",
			price = 200,
			parts = {{name = "dota_mana_potion", count = 5}}
		},
		
	}
	if not game.active_mods["spell-pack"] then
		global.items["dota_mana_potion"] = nil
		global.items["dota_manareg_0"] = nil
	end
	local localization = {
	["iron-ore"] = 		"Iron Ore",
	["iron-plate"] = 	"Iron Plate",
	["copper-ore"] = 	"Copper Ore",
	["copper-plate"] = 	"Copper Plate",
	["coal"] = 			"Coal",
	["stone"] = 		"Stone",
	["stone-brick"] = 	"Stone Brick",
	["uranium-ore"] = 	"Uranium Ore",
	["firearm-magazine"] = "Firearm Magazine",
	["piercing-rounds-magazine"] = "Piercing Rounds Magazine",
	["uranium-rounds-magazine"] = "Uranium Rounds Magazine",
	}
	for _, data in pairs(global.items) do
		local descr = ""
		for _, effect in pairs(data.effects) do
			if effect.type == "force" then
				if effect.modifier == "ammo_damage_modifier" then
					descr = descr.."+"..math.floor(effect.value*100).."% "
					if effect.ammo then
						descr = descr..effect.ammo.." "
					end
					descr = descr.."Damage"
				elseif effect.modifier == "gun_speed_modifier" then
					descr = descr.."+"..math.floor(effect.value*100).."% "
					if effect.ammo then
						descr = descr..effect.ammo.." "
					end
					descr = descr.."Attackspeed"
				elseif effect.modifier == "character_running_speed_modifier" then
					descr = descr.."+"..math.floor(effect.value*100).."% "
					descr = descr.."Movement Speed"
				elseif effect.modifier == "character_health_bonus" then
					descr = descr.."+"..math.floor(effect.value).." "
					descr = descr.."Health"
				elseif effect.modifier == "manual_mining_speed_modifier" then
					descr = descr.."+"..math.floor(effect.value*100).."% "
					descr = descr.."Mining Speed"
				elseif effect.modifier == "manual_crafting_speed_modifier" then
					descr = descr.."+"..math.floor(effect.value*100).."% "
					descr = descr.."Crafting Speed"
				elseif effect.modifier == "character_inventory_slots_bonus" then
					descr = descr.."+"..math.floor(effect.value).." "
					descr = descr.."Inventory Slots"
				elseif effect.modifier == "turret_attack_modifier" then
					descr = descr.."+"..math.floor(effect.value*100).."% "
					if effect.turret then
						descr = descr..effect.turret
					else
						descr = descr.."Turret"
					end
					descr = descr.." Damage"
				else
					descr = descr.."+"..effect.value.." "..effect.modifier.."(???)"
				end
			elseif effect.type == "giveitem" then
				descr = descr.."+"..effect.per_second.." "..(localization[effect.item] or effect.item)
				if effect.per_second ~=1 and localization[effect.item] and (localization[effect.item]:sub(-5,-1)=="Plate" or localization[effect.item]:sub(-5,-1)=="Brick" or localization[effect.item]:sub(-8,-1)=="Magazine") then
					descr=descr.."s"
				end
				descr = descr.." per second"
			elseif effect.type == "other" then	
				if effect.modifier == "income" then
					descr = descr.."+"..effect.value.." Gold per Second"
				elseif effect.modifier == "crit" then
					descr = descr.."+"..math.floor(effect.value*100).."% Crit"
				elseif effect.modifier == "critdamage" then
					descr = descr.."+"..math.floor(effect.value*100).."% Crit-Damage"
				elseif effect.modifier == "armor" then
					descr = descr.."+"..math.floor(effect.value).." Armor"
				elseif effect.modifier == "reflect" then
					descr = descr.."+Attackers take "..effect.value.." Damage"
				elseif effect.modifier == "regen" then
					descr = descr.."+"..effect.value.." HP/s"
				elseif effect.modifier == "towerhp" then
					descr = descr.."+"..effect.value.." Tower HP"
				elseif effect.modifier == "chardamage" then
					descr = descr.."+"..effect.value.." Melee Damage"
				else
					descr = descr.."+"..effect.value.." "..effect.modifier.."(???)"
				end
			elseif effect.type == "spellpack" then
				if effect.modifier == "cdr" then
					descr = descr.."+"..math.floor(effect.value*100).."% Cooldown Reduction"
				elseif effect.modifier == "max_mana" then
					descr = descr.."+"..effect.value.." Mana"
				elseif effect.modifier == "mana_reg" then
					descr = descr.."+"..effect.value.." Mana/s"
				end
			end
			if effect.periodical then
				descr = descr.."/minute"
			end
			descr = descr.."\n"
		end
		if descr:sub(-1)=="\n" and not data.description then
			data.description = descr:sub(1,-2)
		else
			data.description = descr..(data.description or "")
		end
	end
end
-- EDIT: DON'T USE THE "PLAYER" TYPE ANYMORE, AS IT'S EFFECTS GET LOST ON DEATH

--type = "force" (every player has his own force) (basically every variable in LuaForce can be changed, if it's a number value)
--	ammo_damage_modifier [ammo = ammo_category, if nil then all categories]
--	gun_speed_modifier	[ammo = ammo_category, if nil then all categories]
--	turret_attack_modifier [turret = turret.name, if nil then all turrets]
--	manual_mining_speed_modifier
--	manual_crafting_speed_modifier
--	laboratory_speed_modifier
--	laboratory_productivity_bonus
--	worker_robots_speed_modifier
--	worker_robots_battery_modifier
--	worker_robots_storage_bonus
--	inserter_stack_size_bonus
--	stack_inserter_capacity_bonus
--	following_robots_lifetime_modifier 
--	artillery_range_modifier
--	mining_drill_productivity_bonus
--	train_braking_force_bonus)
--	(character_running_speed_modifier)
--	(character_build_distance_bonus)
--	(character_item_drop_distance_bonus)
--	(character_reach_distance_bonus)
--	(character_resource_reach_distance_bonus)
--	(character_item_pickup_distance_bonus)
--	(character_loot_pickup_distance_bonus)
--	(character_inventory_slots_bonus)
--	(character_health_bonus)

--type = "other"
--	income	(:: 1 Gold/sec = 1 :: Bonus income, default income is 1 Gold/sec)
--	crit	(:: 1% = 0.01 :: Critical strike chance, default is 0%)
--	critdamage (:: 1% = 0.01 :: bonus damage on crits, default is 200% damage)
--	armor (:: 1 Armor = 1 :: formula: absorb = armor/(armor+100) - for example 50 armor gives 33% absorbtion, 100 = 50% absorbtion, 200 = 66% absorbtion, 300 = 75% absorbtion)
--	reflect (:: 1 Damage = 1 :: damage thrown back at the enemy does not get substracted from incoming damage)
--	regen (:: 1 HP/s = 1 :: per second)
--	towerhp (:: 1 HP = 1 :: tower health bonus) not implemented yet

--type = "giveitem"
--  Parameters:
--  item (the internal item name)
--  per_second (amount of items per second, can be less than 0)

--func tutorial:
-- Items need to have a cooldown for this.
-- As demonstrated in the health potion, you can execute stuff later.
-- Use the method demonstrated there to first create a table on the tick you want to execute on, then insert a function in that table.
-- Local variables carry over to the function you are declaring there (Like the "player" variable carries over in the health pot)