TICKS_PER_LEVEL = 21600
FREE_ENERGY = 1.2 * 10^6 -- 10^6 = 1 MW
START_ITEMS_MULT = 0.5
BONUS_CRAFTING_SPEED = 5

function give_starting_equipment(player)
	if START_ITEMS_MULT == 0 then return end
	local items =
	{
		--["iron-plate"] = math.max(1,math.floor(200*START_ITEMS_MULT*(2/(1+math.max(1,START_ITEMS_MULT))))),
		["pipe"] = math.max(1,math.floor(200*START_ITEMS_MULT*(2/(1+math.max(1,START_ITEMS_MULT))))),
		["pipe-to-ground"] = math.max(1,math.floor(50*START_ITEMS_MULT*(2/(1+math.max(1,START_ITEMS_MULT))))),
		--["copper-plate"] = math.max(1,math.floor(200*START_ITEMS_MULT*(2/(1+math.max(1,START_ITEMS_MULT))))),
		--["steel-plate"] = math.max(1,math.floor(200*START_ITEMS_MULT*(2/(1+math.max(1,START_ITEMS_MULT))))),
		--["iron-gear-wheel"] = math.max(1,math.floor(250*START_ITEMS_MULT*(2/(1+math.max(1,START_ITEMS_MULT))))),
		["transport-belt"] = math.max(1,math.floor(600*START_ITEMS_MULT*(1.5/(1.5+0.5*math.max(1,START_ITEMS_MULT))))),
		["underground-belt"] = math.max(1,math.floor(40*START_ITEMS_MULT*(2/(1+math.max(1,START_ITEMS_MULT))))),
		["splitter"] = math.max(1,math.floor(40*START_ITEMS_MULT*(2/(1+math.max(1,START_ITEMS_MULT))))),
		--["gun-turret"] = math.max(1,math.floor(8*START_ITEMS_MULT)),
		--["stone-wall"] = math.max(1,math.floor(40*START_ITEMS_MULT)),
		--["repair-pack"] = math.max(1,math.floor(20*START_ITEMS_MULT*(2/(1+math.max(1,START_ITEMS_MULT))))),
		["inserter"] = math.max(1,math.floor(100*START_ITEMS_MULT*(2/(1.5+0.5*math.max(1,START_ITEMS_MULT))))),
		["burner-inserter"] =  math.max(1,math.floor(math.min(50,50*START_ITEMS_MULT*(2/(1+math.max(1,START_ITEMS_MULT)))))),
		["small-electric-pole"] =  math.max(1,math.floor(math.min(50,50*START_ITEMS_MULT*(2/(1+math.max(1,START_ITEMS_MULT)))))),
		["medium-electric-pole"] = math.max(1,math.floor(50*START_ITEMS_MULT*(2/(1+math.max(1,START_ITEMS_MULT))))),
	
		["big-electric-pole"] =  math.max(1,math.floor(math.min(15,15*START_ITEMS_MULT*(2/(1+math.max(1,START_ITEMS_MULT)))))),
		["burner-mining-drill"] =  math.max(1,math.floor(math.min(50,50*START_ITEMS_MULT*(2/(1+math.max(1,START_ITEMS_MULT)))))),
		["electric-mining-drill"] = math.max(1,math.floor(50*START_ITEMS_MULT*(2/(1+math.max(1,START_ITEMS_MULT))))),
		["stone-furnace"] =  math.max(1,math.floor(math.min(35,35*START_ITEMS_MULT*(2/(1+math.max(1,START_ITEMS_MULT)))))),
		["steel-furnace"] = math.max(1,math.floor(20*START_ITEMS_MULT*(2/(1+math.max(1,START_ITEMS_MULT))))),
		["electric-furnace"] = math.max(1,math.floor(8*START_ITEMS_MULT)),
		["assembling-machine-1"] =  math.max(1,math.floor(math.min(50,50*START_ITEMS_MULT*(2/(1+math.max(1,START_ITEMS_MULT)))))),
		["assembling-machine-2"] = math.max(1,math.floor(20*START_ITEMS_MULT*(2/(1+math.max(1,START_ITEMS_MULT))))),
		["assembling-machine-3"] = math.max(1,math.floor(10*START_ITEMS_MULT)),
		--["electronic-circuit"] = math.max(1,math.floor(200*START_ITEMS_MULT*(2/(1+math.max(1,START_ITEMS_MULT))))),
		["fast-inserter"] = math.max(1,math.floor(100*START_ITEMS_MULT*(2/(1.5+0.5*math.max(1,START_ITEMS_MULT))))),
		["long-handed-inserter"] = math.max(1,math.floor(100*START_ITEMS_MULT*(2/(1+math.max(1,START_ITEMS_MULT))))),
		["substation"] = math.max(1,math.floor(10*START_ITEMS_MULT*(2/(1+math.max(1,START_ITEMS_MULT))))),
		["boiler"] =  math.max(1,math.floor(math.min(10,10*START_ITEMS_MULT*(2/(1+math.max(1,START_ITEMS_MULT)))))),
		["offshore-pump"] =  math.max(1,math.floor(math.min(1,1*START_ITEMS_MULT*(2/(1+math.max(1,START_ITEMS_MULT)))))),
		["steam-engine"] =  math.max(1,math.floor(math.min(20,20*START_ITEMS_MULT*(2/(1+math.max(1,START_ITEMS_MULT)))))),
		["chemical-plant"] =  math.max(1,math.floor(math.min(20,20*START_ITEMS_MULT*(2/(1+math.max(1,START_ITEMS_MULT)))))),
		["oil-refinery"] =  math.max(1,math.floor(math.min(5,5*START_ITEMS_MULT*(2/(1+math.max(1,START_ITEMS_MULT)))))),
		["pumpjack"] =  math.max(1,math.floor(math.min(10,10*START_ITEMS_MULT*(2/(1+math.max(1,START_ITEMS_MULT)))))),
		["small-lamp"] =  math.max(1,math.floor(math.min(20,20*START_ITEMS_MULT*(2/(1+math.max(1,START_ITEMS_MULT)))))),
		--["advanced-circuit"] = math.max(1,math.floor(10*START_ITEMS_MULT)),
		--["stone-brick"] = math.max(1,math.floor(50*START_ITEMS_MULT)),
		
	}
	if START_ITEMS_MULT >=2 then
		items["assembling-machine-1"]=nil
		items["stone-furnace"] = math.min(50,items["stone-furnace"])
	end
	
	insert_items(player, items)
end

function give_spawn_equipment(player)

	local items =
		{
		--["steel-axe"] = 6,
		["pistol"] = 1,
		--["firearm-magazine"] = math.max(1,math.floor(40*START_ITEMS_MULT)),
		["dotaarmor-light-armor"] = 1,
		["construction-robot"] = math.max(1,math.floor(20*START_ITEMS_MULT)),
		--["blueprint"] = 1,
		--["deconstruction-planner"] = 1
		}
	insert_items(player, items)
	local equipment =
		{
		"dota-reactor-1x1",
		"dota-roboport-1x1",
		
		}
	local armor = player.get_inventory(5)[1].grid
	for k, name in pairs (equipment) do
		armor.put({name = name})
	end
	for k, equipment in pairs (armor.equipment) do
		equipment.energy = equipment.max_energy
	end
end